hadoop-yarn-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tsuyoshi Ozawa (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (YARN-5071) address HBase compatibility issues with trunk
Date Tue, 10 May 2016 18:43:12 GMT

    [ https://issues.apache.org/jira/browse/YARN-5071?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15278663#comment-15278663
] 

Tsuyoshi Ozawa commented on YARN-5071:
--------------------------------------

{quote}
 In principle, I don't think this is really a HBase problem at the moment as 3.0.0 has not
been released yet.
{quote}

I agree with you. I meant that we should focus on how Hadoop ecosystem, including HBase, can
migrate branch-2 based code to trunk easily and smoothly. I think we should get feedback from
users of Hadoop, including HBase developers, to avoid critical problems. In other words, this
is a good time to recheck Hadoop Compatibility guide. http://hadoop.apache.org/docs/current/hadoop-project-dist/hadoop-common/Compatibility.html

> address HBase compatibility issues with trunk
> ---------------------------------------------
>
>                 Key: YARN-5071
>                 URL: https://issues.apache.org/jira/browse/YARN-5071
>             Project: Hadoop YARN
>          Issue Type: Sub-task
>          Components: timelineserver
>    Affects Versions: YARN-2928
>            Reporter: Sangjin Lee
>            Assignee: Sangjin Lee
>            Priority: Critical
>
> The trunk is now adding or planning to add more and more backward-incompatible changes.
Some examples include
> - remove v.1 metrics classes (HADOOP-12504)
> - update jersey version (HADOOP-9613)
> - target java 8 by default (HADOOP-11858)
> This poses big challenges for the timeline service v.2 as we have a dependency on hbase
which depends on an older version of hadoop.
> We need to find a way to solve/contain/manage these risks before it is too late.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: yarn-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: yarn-issues-help@hadoop.apache.org


Mime
View raw message